import request from '@/utils/request';

// 查询用电分类
export function getElecPriceType(){
  return request({
    url: '/ems/common/elecprice/type',
    method: 'get'
  })
}

// 查询能源分类树
export function getEmsClsTree(){
  return request({
    url: '/ems/common/emscls/tree',
    method: 'get'
  })
}
//设备工艺列表
export function getDevProcess(query){
  return request({
    url: '/ems/common/devProcess?subcategoryCode='+ query,
    method: 'get'
  })
}
// 查询标签列表
export function getEmsTag(tagModel){
  return request({
    url: '/ems/common/emstag?tagModel=' + tagModel,
    method: 'get'
  })
}

// 查询标签列表
export function getDevcType(){
  return request({
    url: '/ems/common/devc/type',
    method: 'get'
  })
}

export const get = (uri, param = {}) => {
  return request({
    url: `/ems/${uri}`,
    method: 'get',
    params: param,
  });
};
